# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "easyfix-session"
version = "0.9.4"
authors = ["Łukasz Dańko <lukasz.danko@gmail.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Easy FIX (Financial Information Exchange) toolset - session."
readme = "README.md"
license = "MIT"
repository = "https://github.com/ldanko/easyfix"

[lib]
name = "easyfix_session"
path = "src/lib.rs"

[[example]]
name = "acceptor"
path = "examples/acceptor.rs"

[[example]]
name = "initiator"
path = "examples/initiator.rs"

[dependencies.async-stream]
version = "0.3.6"

[dependencies.bytes]
version = "1.6"

[dependencies.chrono]
version = "0.4.38"
features = ["serde"]

[dependencies.easyfix-messages]
version = "0.6.3"

[dependencies.futures]
version = "0.3"

[dependencies.futures-core]
version = "0.3.31"

[dependencies.futures-util]
version = "0.3.26"

[dependencies.pin-project]
version = "1.1"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.thiserror]
version = "2.0"

[dependencies.tokio]
version = "1.38"
features = [
    "io-util",
    "macros",
    "net",
    "rt",
    "sync",
    "time",
]

[dependencies.tokio-stream]
version = "0.1"

[dependencies.tokio-util]
version = "0.7"
features = ["io"]

[dependencies.tracing]
version = "0.1.40"

[dev-dependencies.tracing-subscriber]
version = "0.3.18"
features = [
    "env-filter",
    "json",
]
